Subject: Enable use of @ (shut-up-operator)

Description

The FLOWS error and exception handler does a good job. But if you have to integrate foreign code, suppressing foreign errors
(E_STRICT or similar) is the only possibility to get this code to work.

PHP suggests to check (error_reporting() === 0) in order to realize if error_handling have been temporarily disabled.
| temporarily added to lines to the ErrorHandler::handleError function:

1if(error_reporting() === 0)
2 return;

Associated revisions

Revision 1¢cf1¢897 - 2011-09-05 12:02 - Ferdinand Kuhl

[FEATURE] Enable use of @ (shut-up-operator)

By default, FLOW3 makes sure to convert any error into an exception
so that even notices don't go undiscovered.

But foreign code is not always clean and so E_NOTICE or E_STRICT
are quite common. If one doesn't want to deactivate this kinds of errors
generally the @-Operator is the only way to temporarily disable

error-reporting.
This patch allows the error-handler to return immediately if it
detects that the parent function made use of the shut-up

operator

Change-Id: [d8d70b594e69e0de390b29624304de32442a74e4
Resolves: #29358

History

#1 - 2011-08-31 10:50 - Karsten Dambekalns
- Tracker changed from Bug to Feature

#2 - 2011-08-31 10:50 - Karsten Dambekalns
- Subject changed from @error-controler-operater is ignored to Enable use of @ (shut-up-operator)

- Category set to Error

#3 - 2011-09-02 18:45 - Mr. Hudson
- Status changed from New to Under Review

Patch set 1 of change 1d8d70b594e69e0de390029624304de32442a74e4 has been pushed to the review server.
It is available at http://review.typo3.org/4754

#4 - 2011-09-02 18:52 - Ferdinand Kuhl

Ah! And | do think that ignoring the @-Operator is more a bug than a feature... but thats just personal opinion.

#5 - 2011-09-05 12:04 - Mr. Hudson

Patch set 2 of change 1d8d70b594e69e0de390029624304de32442a74e4 has been pushed to the review server.
It is available at http://review.typo3.org/4754

#6 - 2011-09-05 13:06 - Ferdinand Kuhl
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:1cf1c8974f03f032b9d51ae36¢c219fb64690b6db.
